# $Revision: 1.58 $, $Date: 2003/05/18 03:41:09 $
#
# Conditional build:
# _with_working_history - compiles tcsh with timestamps in ~/.history file so
#                         it serves any real purpose (which is not the case
#                         for default PLD tcsh)
#
Summary:	Enhanced c-shell
Summary(de):	Erweiterte C-Shell
Summary(es):	C-shell mejorada
Summary(fr):	Shell C amlior
Summary(ko):	csh  
Summary(pl):	Zaawansowany C-shell
Summary(pt_BR):	C-shell melhorada
Summary(ru):	  csh
Summary(tr):	Gelimi c-kabuu (c-shell)
Summary(uk):	  csh
Name:		tcsh
Version:	6.12.00
Release:	5
License:	distributable
Group:		Applications/Shells
Source0:	ftp://ftp.astron.com/pub/tcsh/%{name}-%{version}.tar.gz
Source1:	csh.cshrc
Source2:	%{name}-skel-.login
Patch0:		%{name}-utmp.patch
Patch1:		%{name}-misc.patch
Patch2:		%{name}-fhs.patch
Patch3:		%{name}-termios.patch
Patch4:		%{name}-no-timestamp-history.patch
Patch5:		%{name}-no_stat_utmp.patch
Patch6:		%{name}-locale.patch
Patch7:		%{name}-time.patch
Patch8:		%{name}-rlimit_locks.patch
Patch9:		%{name}-dspmbyte.patch
Patch10:	%{name}-no_TERMCAP.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glibc-static
BuildRequires:	groff
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	ncurses-static
Requires(post,preun):	grep
Requires(preun):	fileutils
Provides:	csh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
'tcsh' is an enhanced version of csh (the C shell), with additional
features such as command history, filename completion, and fancier
prompts.

%description -l de
'tcsh' ist eine erweiterte Version von csh (der C-Shell) mit
zustzlichen Funktionen wie Befehlsgeschichte,
Dateinamenvervollstndigung und attraktiveren Prompts.

%description -l es
"tcsh" es una versin mejorada de la csh (C shell), con
caractersticas adicionales como historia de los comandos, complemento
de nombre de archivo y prompts.

%description -l fr
'tcsh' est une version amliore de csh (le shell C), avec des
fonctionnalits supplmentaires comme un historique des commandes, la
compltion des noms de fichiers, et des prompts sympas.

%description -l pl
Tcsh jest zaawansowanym wersj shella csh (C-shell), z rnorodnymi
udogodnieniami takimi jak historia komend itp.

%description -l pt_BR
"tcsh"  uma verso melhorada da csh (C shell), com caractersticas
adicionais como history dos comandos, complemento de nome de arquivo e
prompts.

%description -l ru
   csh (the C shell)  
,    ,    
..

%description -l tr
tcsh, csh'in (C kabuu) gelikin bir srmdr ve komut tarihesi,
dosya ad tamamlama ve k komut imleri gibi zellikler sunar.

%description -l uk
  Ӧ csh (the C shell)   ,
  Ҧ ,   ̦  ..

%package static
Summary:	Statically linked Enhanced c-shell
Summary(pl):	Statycznie zlinkowany zaawansowany C-shell
Group:		Applications/Shells
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	%{name} = %{version}

%description static
'tcsh' is an enhanced version of csh (the C shell), with additional
features such as command history, filename completion, and fancier
prompts.

This packege contains statically linked version of tcsh.

%description static -l pl
Tcsh jest zaawansowanym wersj shella csh (C-shell), z rnorodnymi
udogodnieniami takimi jak historia komend itp.

W tym pakiecie jest statycznie zlinkowany tcsh.

%prep
%setup 	-q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3	-p1
%{!?_with_working_history: %{__patch} -p1 -s < %{PATCH4} }
%patch5	-p1
%patch6	-p1
%patch7	-p1
%patch8	-p1
%patch9 -p1
%patch10 -p1

%build
%{__aclocal}
%{__autoconf}
%configure

%{__make} LDFLAGS="-static %{rpmldflags}" LIBES="-ltinfo -lcrypt"
mv -f tcsh tcsh.static
%{__make} LDFLAGS="%{rpmldflags}" LIBES="-ltinfo -lcrypt"

%{__make} -C nls

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/skel,%{_mandir}/man1,%{_bindir}} \
	$RPM_BUILD_ROOT%{_datadir}/locale/{el,es,fr,it,ja}

install tcsh tcsh.static $RPM_BUILD_ROOT%{_bindir}

install tcsh.man $RPM_BUILD_ROOT%{_mandir}/man1/tcsh.1
echo .so tcsh.1 > $RPM_BUILD_ROOT%{_mandir}/man1/csh.1

ln -sf tcsh $RPM_BUILD_ROOT%{_bindir}/csh
nroff -me eight-bit.me > eight-bit.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/.login

install tcsh.french.cat $RPM_BUILD_ROOT%{_datadir}/locale/fr/tcsh
install tcsh.italian.cat $RPM_BUILD_ROOT%{_datadir}/locale/it/tcsh
install tcsh.ja.cat $RPM_BUILD_ROOT%{_datadir}/locale/ja/tcsh
install tcsh.greek.cat $RPM_BUILD_ROOT%{_datadir}/locale/el/tcsh
install tcsh.spanish.cat $RPM_BUILD_ROOT%{_datadir}/locale/es/tcsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/tcsh" > /etc/shells
	echo "%{_bindir}/csh" >> /etc/shells
else
	grep -q '^%{_bindir}/tcsh$' /etc/shells || echo "%{_bindir}/tcsh" >> /etc/shells
	grep -q '^%{_bindir}/csh$' /etc/shells || echo "%{_bindir}/csh" >> /etc/shells
fi

%post static
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/tcsh.static" > /etc/shells
else
	grep -q '^%{_bindir}/tcsh\.static$' /etc/shells || echo "%{_bindir}/tcsh.static" >> /etc/shells
fi

%preun
umask 022
if [ "$1" = "0" ]; then
	grep -v '^%{_bindir}/t\?csh$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%preun static
umask 022
if [ "$1" = "0" ]; then
	grep -v '^%{_bindir}/tcsh\.static$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc NewThings FAQ eight-bit.txt complete.tcsh

%{_sysconfdir}/csh.*
/etc/skel/.login

%attr(755,root,root) %{_bindir}/csh
%attr(755,root,root) %{_bindir}/tcsh
%lang(fr) %{_datadir}/locale/fr/tcsh
%lang(it) %{_datadir}/locale/it/tcsh
%lang(ja) %{_datadir}/locale/ja/tcsh
%lang(el) %{_datadir}/locale/el/tcsh
%lang(es) %{_datadir}/locale/es/tcsh
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tcsh.static

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tcsh.spec,v $
Revision 1.58  2003/05/18 03:41:09  kloczek
- typo.

Revision 1.57  2003/05/18 03:28:29  kloczek
- renumber patches.

Revision 1.56  2003/05/18 03:12:07  kloczek
- added regeenrate ac files,
- added no_TERMCAP patch (PLD is TERMINFO centric and this can be removed
  for make tch smaller).

Revision 1.55  2003/05/16 12:03:45  djrzulf
- back to %configure,

Revision 1.54  2003/05/15 20:26:49  djrzulf
- switched to %%configure2_13

Revision 1.53  2003/02/10 20:44:12  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.52  2003/01/14 15:40:56  radek
- version 6.12.00
- updated patch2, removed -login.patch (applied)

Revision 1.51  2002/11/07 12:57:20  agaran
BR groff

Revision 1.50  2002/11/06 21:32:25  kloczek
- merge translations from KSI and Conectiva.

Revision 1.49  2002/09/29 15:51:39  speedy
- fixed bcond [we can't use %patch4 in bcond env]
- release 3, STBR

Revision 1.48  2002/08/24 00:50:08  rrw
- conditional ability to build tcsh with working history mechanism;

Revision 1.47  2002/06/24 13:14:15  kloczek
- use new %doc.

Revision 1.46  2002/06/15 09:52:06  ankry
- fixed %%lang
- release 2

Revision 1.45  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.44  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/22 22:34:53  qboosh
- the same, upper case

Revision 1.41  2002/01/22 22:32:42  qboosh
- typo

Revision 1.40  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.38  2001/10/11 14:32:49  qboosh
- BuildRequires: autoconf

Revision 1.37  2001/09/27 08:44:08  migo
- adapterized (fixed groups)

Revision 1.36  2001/08/23 16:52:12  filon
- changed: make -> %%{__make}

Revision 1.35  2001/08/13 22:26:26  kloczek
- updated to 6.10.02.

Revision 1.34  2001/06/02 21:11:14  qboosh
- disabled dspmbyte patch - it fixes only utf-coded iso-8859-1, but
  breaks iso-8859-2 (both 8-bit and utf-coded)
- release 7

Revision 1.33  2001/05/21 19:58:31  baggins
- typo

Revision 1.32  2001/04/28 09:38:22  kloczek
- updated to 6.10.01.

Revision 1.31  2001/04/21 08:02:13  kloczek
- release 6,
- merge rlimit_locks (Conectiva), dspmbyte (rawhide) patches,
- added using %%{rpmldflags} macro in %build.

Revision 1.30  2001/03/22 08:01:55  kloczek
- updated to 6.10 (release 5),
- updated patches and merged login patch from rawhide).

Revision 1.29  2001/03/20 18:18:55  qboosh
- time patch
- use rpm automation (man gzipping), use %%{debug} macro
- changed postun to preun, simplified post/preun scripts
- release 9

Revision 1.28  2000/12/14 21:10:26  waszi
- no more localized /etc/skel

Revision 1.27  2000/08/19 19:20:07  kloczek
- release 8,
- merge locale patch from rawhide,
- add install catgets data with messages translations for tcsh.

Revision 1.26  2000/08/19 18:17:12  kloczek
- release 7,
- added no_stat_utmp patch with remove direct stat() utmp file on preparing
  informations for who watches,
- spec adapterized.

Revision 1.25  2000/07/13 23:23:14  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/29 20:05:38  baggins
- release 5
- added no-history-timestamps patch

Revision 1.22  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.20  2000/03/12 05:59:19  kloczek
- release 4,
- added two patches from rawhide.

Revision 1.19  1999/11/16 17:51:39  kloczek
- fix: replace -lncurses by -ltinfo.

Revision 1.18  1999/11/16 17:28:59  kloczek
- relaease 3,
- build against ncurses 5.0.

Revision 1.17  1999/10/07 03:01:18  kloczek
- release 2,
- pass bindir=/bin to ./configure,
- fix security bug with max path variable size (patch from rawhide).

Revision 1.16  1999/09/15 18:37:10  kloczek
- added BuildRequires rules.

Revision 1.15  1999/08/18 20:04:36  kloczek
- update to 6.09.00,
- apss LDFLAGS="-s" instead stripping on install,
- update Source url.

Revision 1.14  1999/07/15 21:28:57  kloczek
- fix problem with registering doted files in %files.

Revision 1.13  1999/07/15 20:34:15  kloczek
- added .login to system skel.

Revision 1.12  1999/07/15 20:19:43  kloczek
- added using %%configure macro,
- simplification in %install.

Revision 1.11  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun  5 1999 Jan Rkorajski <baggins@pld.org.pl>
  [6.07.09-2]
- added static subpackage

* Sun Nov 08 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
		  Tomek Koczko <koczek@pld.org.pl>
  [6.07.09-1d]
- updated to 6.07.09,
- moved /etc/csh.cshrc from setupt package to tcsh,
- minor changes.

* Tue Jun 30 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.07-2d]
- build for PLD Tornado,
- translation modified for pl.
- start at RH spec file
